## oggmux

oggmux — mux ogg streams (info about ogg: http://xiph.org)

## Synopsis

    struct              GstOggMux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstOggMux

## Implemented Interfaces

GstOggMux implements GstPreset.

## Properties

      "max-delay"                guint64               : Read / Write
      "max-page-delay"           guint64               : Read / Write
      "max-tolerance"            guint64               : Read / Write
      "skeleton"                 gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | ogg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Muxer

### Element Pads

name | sink_%d
direction | sink
presence | request
details | video/x-theora
| audio/x-vorbis
| audio/x-flac
| audio/x-speex
| audio/x-celt
| application/x-ogm-video
| application/x-ogm-audio
| video/x-dirac
| video/x-smoke
| video/x-vp8
| text/x-cmml, encoded=(boolean)true
| subtitle/x-kate
| application/x-kate
| audio/x-opus

name | src
direction | source
presence | always
details | application/ogg

## Details

### struct GstOggMux

    struct GstOggMux;

## Property Details

### The `"max-delay"` property

      "max-delay"                guint64               : Read / Write

Maximum delay in multiplexing streams.

Default value: 500000000

### The `"max-page-delay"` property

      "max-page-delay"           guint64               : Read / Write

Maximum delay for sending out a page.

Default value: 500000000

### The `"max-tolerance"` property

      "max-tolerance"            guint64               : Read / Write

Maximum timestamp difference for maintaining perfect granules.

Default value: 40000000

### The `"skeleton"` property

      "skeleton"                 gboolean              : Read / Write

Whether to include a Skeleton track.

Default value: FALSE